%define upstream_name    Clone-Fast
%define upstream_version 0.97

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 25

Summary:    Natively copying Perl data structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Clone/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
Essentially, this module is a very optimized version of Clone::More.
By taking advantage of one of Clone::More's
'OPTIMIZATION_HACKS' as well as removing all the Pure Perl from the
'More.pm', I was able to gain a lot of speed out of the module.
Essentially, though, the core of the module is exactly as that of
Clone::More.

You will see that by using Benchmark::cmpthese, I ran a simple
comparison between Storable::dclone, Clone::More::clone,
and Clone::Fast::clone. You will (should) begin to see
the reason why I loaded this module along side of Clone::More.

				   Rate    Storable Clone::More Clone::Fast
	Storable     7552/s          --        -39%        -59%
	Clone::More 12400/s         64%          --        -33%
	Clone::Fast 18442/s        144%         49%          --

%prep
#setup -q -n %{upstream_name}-%{upstream_version}
%setup -q -n %{upstream_name}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# this test fails with perl >= 5.11
# https://rt.cpan.org/Ticket/Display.html?id=43248
rm t/03scalar.t
%make_build test || :

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.970.0-25.mga10
+ Revision: 2088006
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 0.970.0-24.mga10
+ Revision: 2010456
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 0.970.0-23.mga9
+ Revision: 1861609
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.970.0-22.mga9
+ Revision: 1795561
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.970.0-21.mga9
+ Revision: 1726420
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.970.0-20.mga8
+ Revision: 1594347
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.970.0-19.mga8
+ Revision: 1529420
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.970.0-18.mga8
+ Revision: 1433406
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.970.0-17.mga7
+ Revision: 1292494
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.970.0-16.mga7
+ Revision: 1248998
- Fix file list
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.970.0-15.mga7
+ Revision: 1163457
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.970.0-14.mga7
+ Revision: 1148687
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.970.0-13.mga7
+ Revision: 1126786
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.970.0-12.mga6
+ Revision: 1024261
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.970.0-11.mga6
+ Revision: 956888
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.970.0-10.mga6
+ Revision: 844035
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.970.0-9.mga5
+ Revision: 789652
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.970.0-8.mga5
+ Revision: 746048
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.970.0-7.mga5
+ Revision: 725879
- make testsuite to exit 0 ("fix" build with perl-5.20.x)
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ jquelin <jquelin>
- perl 5.20.0 rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.970.0-4.mga4
+ Revision: 524232
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.970.0-3.mga4
+ Revision: 430568
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.970.0-2.mga3
+ Revision: 364531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.970.0-1.mga3
+ Revision: 302409
- update to 0.97

* Wed May 30 2012 jquelin <jquelin> 0.960.0-2.mga3
+ Revision: 250332
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 0.960.0-1.mga2
+ Revision: 212725
- update to 0.96

* Sat Jun 11 2011 sander85 <sander85> 0.930.0-4.mga2
+ Revision: 103673
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.930.0-3.mga1
+ Revision: 29908
- mageia rebuild
- imported package perl-Clone-Fast

